//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Models/ParticleLayoutItem.h
//! @brief     Defines class ParticleLayoutItem
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODELS_PARTICLELAYOUTITEM_H
#define BORNAGAIN_GUI_MODELS_PARTICLELAYOUTITEM_H

#include "GUI/Models/SessionGraphicsItem.h"

class ItemWithParticles;

class BA_CORE_API_ ParticleLayoutItem : public SessionGraphicsItem {
private:
    static const QString P_TOTAL_DENSITY;
    static const QString P_WEIGHT;
    static const QString T_PARTICLES;

public:
    static const QString T_INTERFERENCE;

    static const QString M_TYPE;

    ParticleLayoutItem();

    double totalDensity() const;
    void setTotalDensity(double total_density);

    double weight() const;
    void setWeight(double weight);

    QVector<ItemWithParticles*> particles() const;
    void addParticle(ItemWithParticles* particle);

private:
    void updateDensityAppearance();
    void updateDensityValue();
};

#endif // BORNAGAIN_GUI_MODELS_PARTICLELAYOUTITEM_H
