//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Resample/Processed/MaterialSlicer.h
//! @brief     Defines function SampleUtils::Preprocessor::averageSlices
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif

#ifndef USER_API
#ifndef BORNAGAIN_RESAMPLE_PROCESSED_MATERIALSLICER_H
#define BORNAGAIN_RESAMPLE_PROCESSED_MATERIALSLICER_H

#include <vector>

class ProcessedLayout;
class SliceStack;

namespace SampleUtils::Preprocessor {

void regionalAverage(SliceStack& stack, const std::vector<ProcessedLayout>& layouts);

} // namespace SampleUtils::Preprocessor

#endif // BORNAGAIN_RESAMPLE_PROCESSED_MATERIALSLICER_H
#endif // USER_API
