//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Resample/Specular/SpecularStrategyBuilder.h
//! @brief     Defines class SpecularStrategyBuilder.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif

#ifndef USER_API
#ifndef BORNAGAIN_RESAMPLE_SPECULAR_SPECULARSTRATEGYBUILDER_H
#define BORNAGAIN_RESAMPLE_SPECULAR_SPECULARSTRATEGYBUILDER_H

#include "Resample/Specular/SpecularMagneticStrategy.h"
#include "Resample/Specular/SpecularScalarStrategy.h"
#include <memory>

class MultiLayer;

namespace SampleUtils::SpecularStrategyBuilder {

std::unique_ptr<SpecularScalarStrategy> buildScalar(const MultiLayer& sample);
std::unique_ptr<SpecularMagneticStrategy> buildMagnetic(const MultiLayer& sample);

} // namespace SampleUtils::SpecularStrategyBuilder


#endif // BORNAGAIN_RESAMPLE_SPECULAR_SPECULARSTRATEGYBUILDER_H
#endif // USER_API
